<?php     // Configura los datos de tu cuenta
    include 'concha.php';

  /* include 'suspendedor.php';

    $codigohtml =trim($codigohtml);



      if ($codigohtml == 1) { echo "<br> Su portal web presenta una deuda de 2 meses o m�s. <br> <br> Para habiltar nuevamente su panel de control regularice la deuda del sitio. <br> Puede contactarnos directamente a este telefono:  +54 9 341 5643881"; exit; };
*/
	$dbhost="$host";
    $dbusername="$usuario";
    $dbuserpass="$contra";
    $dbname="$basedatos";

	session_start();

    // Conectar a la base de datos
    mysql_connect ($dbhost, $dbusername, $dbuserpass);
    mysql_select_db($dbname) or die('Cannot select database');

    if ($_POST['username']) {
    //Comprobacion del envio del nombre de usuario y password
    $username=$_POST['username'];
    $password=$_POST['password'];
	$password = "$password$semilla";
	$password=md5($password);
	 //quitamos el posible SQLInjection del usuario
     $_POST['username'] = mysql_real_escape_string($_POST['username']);
 //sacamos el hash del password para que se compare ya encriptado
     $_POST['password'] = md5(mysql_real_escape_string($_POST['password']));

    if ($password==NULL) {
    echo "La password no fue enviada"; exit;
    }else{
    $query = mysql_query("SELECT username,password FROM users WHERE username = '$username'") or die(mysql_error());
    $data = mysql_fetch_array($query);
    if($data['password'] != $password) {
    include 'fallo.php';
    }else{
    $query = mysql_query("SELECT username,password,nivel FROM users WHERE username = '$username'") or die(mysql_error());
    $row = mysql_fetch_array($query);
    $_SESSION["s_username"] = $row['username'];
      $nivel = $row['nivel'];
	//generamos un token aleatorio para el usuario
           $_SESSION['token'] = md5(rand().$_SESSION['s_username']);


	         //actualizamos el token para qu sean iguales el de la db
           //y el de la sesi�n
           mysql_query("UPDATE users SET ".
           "token = '{$_SESSION['token']}' WHERE ".
           "username = '{$_SESSION['s_username']}' ");


$url_login = $_POST['url_login'];


if ($url_login == '') {
    
    ///iniico primer if

if ($nivel == 9) {


  echo "<script>
  location.href=('$dom');
  </script>";

} else {

  echo "<script>
  location.href=('index.php');
  </script>";

}
    ///fin primer if
    
}  else {
    
    
      echo "<script>
  location.href=('$url_login');
  </script>";

    
    
}




$IP_c = $_SERVER['REMOTE_ADDR'];



mysql_connect("$host","$usuario","$contra");


$sSQL="INSERT INTO `ip_admin` (`ip`) VALUES ('$IP_c');";

mysql_db_query("$basedatos",$sSQL);

    }
    }
    }
?>
